Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.proj.coords
Class AbstractGCT

    java.lang.Object
      com.bbn.openmap.MapHandlerChild
          com.bbn.openmap.OMComponent
              com.bbn.openmap.proj.coords.AbstractGCT

All Implemented Interfaces:
  java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.util.EventListener, GeoCoordTransformation, LightMapHandlerChild, PropertyConsumer

Direct Known Subclasses:
  MercatorMeterGCT, UTMGCT

public abstract class AbstractGCT
extends OMComponent
implements GeoCoordTransformation

Field Summary

Fields inherited from class com.bbn.openmap.OMComponent
`i18n, propertyPrefix`

Fields inherited from class com.bbn.openmap.MapHandlerChild
`beanContextChildSupport`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`AbstractGCT()`

Method Summary
`java.awt.geom.Point2D` | `forward(double lat, double lon)`
`abstract java.awt.geom.Point2D` | `forward(double lat, double lon, java.awt.geom.Point2D ret)`
`LatLonPoint` | `inverse(double x, double y)`
`abstract LatLonPoint` | `inverse(double x, double y, LatLonPoint ret)`

Methods inherited from class com.bbn.openmap.OMComponent
`getProperties, getPropertyInfo, getPropertyPrefix, setProperties, setProperties, setPropertyPrefix`

Methods inherited from class com.bbn.openmap.MapHandlerChild
`addPropertyChangeListener, addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, findAndInit, findAndUndo, firePropertyChange, fireVetoableChange, getBeanContext, removePropertyChangeListener, removeVetoableChangeListener, setBeanContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractGCT

    public AbstractGCT()

Method Detail

### forward

    public java.awt.geom.Point2D forward(double lat,
                                         double lon)

  Specified by:
    `forward` in interface `GeoCoordTransformation`

### forward

    public abstract java.awt.geom.Point2D forward(double lat,
                                                  double lon,
                                                  java.awt.geom.Point2D ret)

  Specified by:
    `forward` in interface `GeoCoordTransformation`

### inverse

    public LatLonPoint inverse(double x,
                               double y)

  Specified by:
    `inverse` in interface `GeoCoordTransformation`

### inverse

    public abstract LatLonPoint inverse(double x,
                                        double y,
                                        LatLonPoint ret)

  Specified by:
    `inverse` in interface `GeoCoordTransformation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details